Bug 852619 - Wayland and Weston are outdated
Wayland and Weston are outdated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: weston (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: 843738 854245 854261
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 02:29 EDT by Thorsten Leemhuis
Modified: 2012-12-20 10:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2012-08-29 02:29:37 EDT
Weston and Wayland (see Bug 843738 ) are outdated (F18 contains 0.89 and 0.95 is up2date right now) and it would look off to have that old version. 

Richard, do you plan to work on updating the stack? Otherwise I'd might take a look (when I find time, which might not be to soon)
Comment 1 Richard Hughes 2012-09-03 04:06:30 EDT
Is there another released version? krh didn't mention any new stable version, although I agree the git snapshots need updating if nothing else.

I'm also super busy with GNOME3 work at the moment, so I'd certainly appreciate the help. Thanks.
Comment 2 Thorsten Leemhuis 2012-09-07 03:25:52 EDT
(In reply to comment #1)
> Is there another released version? krh didn't mention any new stable
> version [...]

Then you missed 0.9.5 which came out later July ;-)

> I'm also super busy with GNOME3 work at the moment, so I'd certainly
> appreciate the help. Thanks.

Working on it. Can you help me and poke company to commit the cairo-gl patch I offered in Bug 854245? Or maybe commit that yourself? Or back me up if I do that myself (I assume I have permission to do that)?

A newer libxkbcommon is also needed for the latest Weston; I'll poke the x guys early next week myself if I don't get any feedback in Bug 854261.
Comment 3 Fedora Update System 2012-09-20 02:17:03 EDT
libxkbcommon-0.1.0-8.20120917.fc18,wayland-0.95.0-1.fc18,cairo-1.12.2-4.fc18.1,weston-0.95.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libxkbcommon-0.1.0-8.20120917.fc18,wayland-0.95.0-1.fc18,cairo-1.12.2-4.fc18.1,weston-0.95.0-3.fc18
Comment 4 Fedora Update System 2012-09-22 02:31:34 EDT
Package libxkbcommon-0.1.0-8.20120917.fc18, wayland-0.95.0-1.fc18, cairo-1.12.2-4.fc18.1, weston-0.95.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxkbcommon-0.1.0-8.20120917.fc18 wayland-0.95.0-1.fc18 cairo-1.12.2-4.fc18.1 weston-0.95.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14547/libxkbcommon-0.1.0-8.20120917.fc18,wayland-0.95.0-1.fc18,cairo-1.12.2-4.fc18.1,weston-0.95.0-3.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:34:31 EST
libxkbcommon-0.1.0-8.20120917.fc18, wayland-0.95.0-1.fc18, cairo-1.12.2-4.fc18.1, weston-0.95.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.